Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.76.76.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
224.76.76.0
Broadcast address
224.76.76.255
First usable
224.76.76.1
Last usable
224.76.76.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E04C4C00 · Integer 3763096576 to 3763096831
Reverse DNS zone
76.76.224.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.01001100.01001100..00000000224.76.76.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network11100000.01001100.01001100..00000000224.76.76.0
Broadcast11100000.01001100.01001100..11111111224.76.76.255
Split into smaller subnets/31

224.76.76.0/24 makes 128 subnets of /31.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.76.76.0/31224.76.76.0 to 224.76.76.1—2
2224.76.76.2/31224.76.76.2 to 224.76.76.3—2
3224.76.76.4/31224.76.76.4 to 224.76.76.5—2
4224.76.76.6/31224.76.76.6 to 224.76.76.7—2
5224.76.76.8/31224.76.76.8 to 224.76.76.9—2
6224.76.76.10/31224.76.76.10 to 224.76.76.11—2
7224.76.76.12/31224.76.76.12 to 224.76.76.13—2
8224.76.76.14/31224.76.76.14 to 224.76.76.15—2
9224.76.76.16/31224.76.76.16 to 224.76.76.17—2
10224.76.76.18/31224.76.76.18 to 224.76.76.19—2
11224.76.76.20/31224.76.76.20 to 224.76.76.21—2
12224.76.76.22/31224.76.76.22 to 224.76.76.23—2
13224.76.76.24/31224.76.76.24 to 224.76.76.25—2
14224.76.76.26/31224.76.76.26 to 224.76.76.27—2
15224.76.76.28/31224.76.76.28 to 224.76.76.29—2
16224.76.76.30/31224.76.76.30 to 224.76.76.31—2
17224.76.76.32/31224.76.76.32 to 224.76.76.33—2
18224.76.76.34/31224.76.76.34 to 224.76.76.35—2
19224.76.76.36/31224.76.76.36 to 224.76.76.37—2
20224.76.76.38/31224.76.76.38 to 224.76.76.39—2
21224.76.76.40/31224.76.76.40 to 224.76.76.41—2
22224.76.76.42/31224.76.76.42 to 224.76.76.43—2
23224.76.76.44/31224.76.76.44 to 224.76.76.45—2
24224.76.76.46/31224.76.76.46 to 224.76.76.47—2
25224.76.76.48/31224.76.76.48 to 224.76.76.49—2
26224.76.76.50/31224.76.76.50 to 224.76.76.51—2
27224.76.76.52/31224.76.76.52 to 224.76.76.53—2
28224.76.76.54/31224.76.76.54 to 224.76.76.55—2
29224.76.76.56/31224.76.76.56 to 224.76.76.57—2
30224.76.76.58/31224.76.76.58 to 224.76.76.59—2
31224.76.76.60/31224.76.76.60 to 224.76.76.61—2
32224.76.76.62/31224.76.76.62 to 224.76.76.63—2
33224.76.76.64/31224.76.76.64 to 224.76.76.65—2
34224.76.76.66/31224.76.76.66 to 224.76.76.67—2
35224.76.76.68/31224.76.76.68 to 224.76.76.69—2
36224.76.76.70/31224.76.76.70 to 224.76.76.71—2
37224.76.76.72/31224.76.76.72 to 224.76.76.73—2
38224.76.76.74/31224.76.76.74 to 224.76.76.75—2
39224.76.76.76/31224.76.76.76 to 224.76.76.77—2
40224.76.76.78/31224.76.76.78 to 224.76.76.79—2
41224.76.76.80/31224.76.76.80 to 224.76.76.81—2
42224.76.76.82/31224.76.76.82 to 224.76.76.83—2
43224.76.76.84/31224.76.76.84 to 224.76.76.85—2
44224.76.76.86/31224.76.76.86 to 224.76.76.87—2
45224.76.76.88/31224.76.76.88 to 224.76.76.89—2
46224.76.76.90/31224.76.76.90 to 224.76.76.91—2
47224.76.76.92/31224.76.76.92 to 224.76.76.93—2
48224.76.76.94/31224.76.76.94 to 224.76.76.95—2
49224.76.76.96/31224.76.76.96 to 224.76.76.97—2
50224.76.76.98/31224.76.76.98 to 224.76.76.99—2
51224.76.76.100/31224.76.76.100 to 224.76.76.101—2
52224.76.76.102/31224.76.76.102 to 224.76.76.103—2
53224.76.76.104/31224.76.76.104 to 224.76.76.105—2
54224.76.76.106/31224.76.76.106 to 224.76.76.107—2
55224.76.76.108/31224.76.76.108 to 224.76.76.109—2
56224.76.76.110/31224.76.76.110 to 224.76.76.111—2
57224.76.76.112/31224.76.76.112 to 224.76.76.113—2
58224.76.76.114/31224.76.76.114 to 224.76.76.115—2
59224.76.76.116/31224.76.76.116 to 224.76.76.117—2
60224.76.76.118/31224.76.76.118 to 224.76.76.119—2
61224.76.76.120/31224.76.76.120 to 224.76.76.121—2
62224.76.76.122/31224.76.76.122 to 224.76.76.123—2
63224.76.76.124/31224.76.76.124 to 224.76.76.125—2
64224.76.76.126/31224.76.76.126 to 224.76.76.127—2
65224.76.76.128/31224.76.76.128 to 224.76.76.129—2
66224.76.76.130/31224.76.76.130 to 224.76.76.131—2
67224.76.76.132/31224.76.76.132 to 224.76.76.133—2
68224.76.76.134/31224.76.76.134 to 224.76.76.135—2
69224.76.76.136/31224.76.76.136 to 224.76.76.137—2
70224.76.76.138/31224.76.76.138 to 224.76.76.139—2
71224.76.76.140/31224.76.76.140 to 224.76.76.141—2
72224.76.76.142/31224.76.76.142 to 224.76.76.143—2
73224.76.76.144/31224.76.76.144 to 224.76.76.145—2
74224.76.76.146/31224.76.76.146 to 224.76.76.147—2
75224.76.76.148/31224.76.76.148 to 224.76.76.149—2
76224.76.76.150/31224.76.76.150 to 224.76.76.151—2
77224.76.76.152/31224.76.76.152 to 224.76.76.153—2
78224.76.76.154/31224.76.76.154 to 224.76.76.155—2
79224.76.76.156/31224.76.76.156 to 224.76.76.157—2
80224.76.76.158/31224.76.76.158 to 224.76.76.159—2
81224.76.76.160/31224.76.76.160 to 224.76.76.161—2
82224.76.76.162/31224.76.76.162 to 224.76.76.163—2
83224.76.76.164/31224.76.76.164 to 224.76.76.165—2
84224.76.76.166/31224.76.76.166 to 224.76.76.167—2
85224.76.76.168/31224.76.76.168 to 224.76.76.169—2
86224.76.76.170/31224.76.76.170 to 224.76.76.171—2
87224.76.76.172/31224.76.76.172 to 224.76.76.173—2
88224.76.76.174/31224.76.76.174 to 224.76.76.175—2
89224.76.76.176/31224.76.76.176 to 224.76.76.177—2
90224.76.76.178/31224.76.76.178 to 224.76.76.179—2
91224.76.76.180/31224.76.76.180 to 224.76.76.181—2
92224.76.76.182/31224.76.76.182 to 224.76.76.183—2
93224.76.76.184/31224.76.76.184 to 224.76.76.185—2
94224.76.76.186/31224.76.76.186 to 224.76.76.187—2
95224.76.76.188/31224.76.76.188 to 224.76.76.189—2
96224.76.76.190/31224.76.76.190 to 224.76.76.191—2
97224.76.76.192/31224.76.76.192 to 224.76.76.193—2
98224.76.76.194/31224.76.76.194 to 224.76.76.195—2
99224.76.76.196/31224.76.76.196 to 224.76.76.197—2
100224.76.76.198/31224.76.76.198 to 224.76.76.199—2
101224.76.76.200/31224.76.76.200 to 224.76.76.201—2
102224.76.76.202/31224.76.76.202 to 224.76.76.203—2
103224.76.76.204/31224.76.76.204 to 224.76.76.205—2
104224.76.76.206/31224.76.76.206 to 224.76.76.207—2
105224.76.76.208/31224.76.76.208 to 224.76.76.209—2
106224.76.76.210/31224.76.76.210 to 224.76.76.211—2
107224.76.76.212/31224.76.76.212 to 224.76.76.213—2
108224.76.76.214/31224.76.76.214 to 224.76.76.215—2
109224.76.76.216/31224.76.76.216 to 224.76.76.217—2
110224.76.76.218/31224.76.76.218 to 224.76.76.219—2
111224.76.76.220/31224.76.76.220 to 224.76.76.221—2
112224.76.76.222/31224.76.76.222 to 224.76.76.223—2
113224.76.76.224/31224.76.76.224 to 224.76.76.225—2
114224.76.76.226/31224.76.76.226 to 224.76.76.227—2
115224.76.76.228/31224.76.76.228 to 224.76.76.229—2
116224.76.76.230/31224.76.76.230 to 224.76.76.231—2
117224.76.76.232/31224.76.76.232 to 224.76.76.233—2
118224.76.76.234/31224.76.76.234 to 224.76.76.235—2
119224.76.76.236/31224.76.76.236 to 224.76.76.237—2
120224.76.76.238/31224.76.76.238 to 224.76.76.239—2
121224.76.76.240/31224.76.76.240 to 224.76.76.241—2
122224.76.76.242/31224.76.76.242 to 224.76.76.243—2
123224.76.76.244/31224.76.76.244 to 224.76.76.245—2
124224.76.76.246/31224.76.76.246 to 224.76.76.247—2
125224.76.76.248/31224.76.76.248 to 224.76.76.249—2
126224.76.76.250/31224.76.76.250 to 224.76.76.251—2
127224.76.76.252/31224.76.76.252 to 224.76.76.253—2
128224.76.76.254/31224.76.76.254 to 224.76.76.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses